/* ==========================================================================
   Gallery Grid
========================================================================== */
.gallery-grid {
	padding: var(--section-spacing);
	display: flex;
	justify-content: center;
}

.gallery-grid__container{
	max-width: var(--container-width);
    padding: 0 2rem;
    width: 100%;
	margin: auto;
}

.gallery-grid__heading {
	margin-bottom: 2rem;
    line-height: var(--line-height-heading);
    font-weight: 400;
    color: var(--color-black);
    font-size: var(--font-size-h2);
    padding-bottom: 0;
}

.gallery-grid__layout {

	display: grid;
	grid-template-columns: 1fr 1.2fr 1fr;
	gap: 15px;

	align-items: stretch;

}

.gallery-grid__column {

	display: flex;
	flex-direction: column;
	gap: 15px;

	min-width: 0;

}

.gallery-grid__small {

	display: grid;
	grid-template-columns: repeat( 2, 1fr );
	gap: 15px;

}

.gallery-grid__item {

	display: block;

	width: 100%;

	padding: 0;

	border: 0;

	background: none;

	cursor: pointer;

	overflow: hidden;

}

.gallery-grid__item--1,
.gallery-grid__item--2,
.gallery-grid__item--4 {

	height: 243px;

}

.gallery-grid__item--3 {

	height: 501px;

}

.gallery-grid__item--5,
.gallery-grid__item--6 {

	height: 243px;

}

.gallery-grid__item img {

	display: block;

	width: 100%;
	height: 100%;

	object-fit: cover;

}

.gallery-grid__item {
	display: block;
	width: 100%;
	padding: 0;
	margin: 0;
	border: 0;
	outline: 0;
	background: transparent;
	line-height: 0;
	cursor: pointer;
	overflow: hidden;
}

.gallery-grid-modal {
	position: fixed;
	inset: 0;
	z-index: 9999;

	display: none;
	align-items: center;
	justify-content: center;
}

.gallery-grid-modal.is-active {
	display: flex;
}

.gallery-grid-modal__overlay {
	position: absolute;
	inset: 0;
	background: rgba(0,0,0,.9);
}

.gallery-grid-modal__content {
	width: 90vw;
	height: 90vh;

	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 99;
}

.gallery-grid-modal__image {
	display: block;

	max-width: 100%;
	max-height: 100%;

	width: auto;
	height: auto;

	object-fit: contain;
}

.gallery-grid-modal__close {
	position: absolute;
	top: 50px;
	right: 50px;
	z-index: 5;
	width: 40px;
	height: 40px;
	font-size: 20px;
	cursor: pointer;
	border: var(--color-accent) 1px solid;
}

.gallery-grid-modal__prev {
	position: absolute;
	left: 50px;
	top: 50%;
	width: 40px;
	height: 40px;
	transform: translateY(-50%);
	font-size: 20px;
	border: var(--color-accent) 1px solid;
	cursor: pointer;
}

.gallery-grid-modal__next {
	position: absolute;
	right: 50px;
	top: 50%;
	width: 40px;
	height: 40px;
	transform: translateY(-50%);
	font-size: 20px;
	cursor: pointer;
	border: var(--color-accent) 1px solid;
}



@media screen and (max-width: 767px) {
	.gallery-grid {
		padding: var(--section-spacing-mobile);
	}

	.gallery-grid__container{
		padding: 0;
	}
	
	.gallery-grid__layout {
		display: flex;
		flex-direction: column;
	}
	
	.gallery-grid__item--3 {
		height: 300px;
	}
	
	.gallery-grid__item--1,
	.gallery-grid__item--2,
	.gallery-grid__item--4 {

		height: 200px;

	}

	.gallery-grid__item--5,
	.gallery-grid__item--6 {

		height: 200px;

	}
	
	.gallery-grid-modal__close,
	.gallery-grid-modal__next{
		right: 30px;
		width: 40px;
		height: 40px;
	}
	
	.gallery-grid-modal__prev{
		left: 30px;
		width: 40px;
		height: 40px;
	}

}